





#include "xweapondef.h"

XWeaponDef::XWeaponDef()
    : XAsset() {
}

void XWeaponDef::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        aStream->read(mInternalName, 64 * sizeof(char));
        aStream->read(mDisplayName, 64 * sizeof(char));
        aStream->read(mOverlayName, 64 * sizeof(char));

        // Parse more fields as needed...
    }
}

const char* XWeaponDef::GetInternalName() const {
    return mInternalName;
}

void XWeaponDef::SetInternalName(const char* name) {
    strncpy(mInternalName, name, 64);
}

const char* XWeaponDef::GetDisplayName() const {
    return mDisplayName;
}

void XWeaponDef::SetDisplayName(const char* name) {
    strncpy(mDisplayName, name, 64);
}

const char* XWeaponDef::GetOverlayName() const {
    return mOverlayName;
}

void XWeaponDef::SetOverlayName(const char* name) {
    strncpy(mOverlayName, name, 64);
}

// Implement more getters and setters as needed...

